﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace RadGridView_SL3_2009_Q2_SP134
{
    public class StatusToImageConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string status = (string)value;

            if(status == "Approved")
                return new BitmapImage(new Uri("offline.png", UriKind.RelativeOrAbsolute));

            if (status == "Pending")
                return new BitmapImage(new Uri("online.png", UriKind.RelativeOrAbsolute));

            return null;
            //throw new NotImplementedException();
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            //throw new NotImplementedException();
            return null;
        }
    }
}
